Share via


Server Keys - List By Server

Gets a list of server keys.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/keys?api-version=2025-01-01

URI Parameters

Name In Required Type Description
resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

serverName
path True

string

The name of the server.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

ServerKeyListResult

Azure operation completed successfully.

Other Status Codes

ErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

List the server keys by server

Sample request

GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-7398/providers/Microsoft.Sql/servers/sqlcrudtest-4645/keys?api-version=2025-01-01

Sample response

{
  "value": [
    {
      "name": "someVault_someKey_01234567890123456789012345678901",
      "type": "Microsoft.Sql/servers/keys",
      "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-7398/providers/Microsoft.Sql/servers/sqlcrudtest-4645/keys/someVault_someKey_01234567890123456789012345678901",
      "kind": "azurekeyvault",
      "location": "Japan East",
      "properties": {
        "serverKeyType": "AzureKeyVault",
        "creationDate": "2024-11-15T00:00:00Z",
        "thumbprint": "00112233445566778899AABBCCDDEEFFAABBCCDD"
      }
    },
    {
      "name": "myVault_myKey_11111111111111111111111111111111",
      "type": "Microsoft.Sql/servers/keys",
      "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-7398/providers/Microsoft.Sql/servers/sqlcrudtest-4645/keys/myVault_myKey_11111111111111111111111111111111",
      "kind": "azurekeyvault",
      "location": "Japan East",
      "properties": {
        "serverKeyType": "AzureKeyVault",
        "creationDate": "2024-11-15T00:00:00Z",
        "thumbprint": "AAAAAAAAAAAAAAABBBBBBBBBBBBBBBBBBBBBBBBB"
      }
    },
    {
      "name": "ServiceManaged",
      "type": "Microsoft.Sql/servers/keys",
      "id": "/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/sqlcrudtest-7398/providers/Microsoft.Sql/servers/sqlcrudtest-4645/keys/ServiceManaged",
      "kind": "servicemanaged",
      "location": "Japan East",
      "properties": {
        "serverKeyType": "ServiceManaged"
      }
    }
  ]
}

Definitions

Name Description
createdByType

The type of identity that created the resource.

ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

ServerKey

A server key.

ServerKeyListResult

The response of a ServerKey list operation.

ServerKeyType

The encryption protector type like 'ServiceManaged', 'AzureKeyVault'.

systemData

Metadata pertaining to creation and last modification of the resource.

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

ServerKey

A server key.

Name Type Description
id

string (arm-id)

Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

kind

string

Kind of encryption protector. This is metadata used for the Azure portal experience.

location

string

Resource location.

name

string

The name of the resource

properties.autoRotationEnabled

boolean

Key auto rotation opt-in flag. Either true or false.

properties.creationDate

string (date-time)

The server key creation date.

properties.keyVersion

string

The version of the server key.

properties.serverKeyType

ServerKeyType

The server key type like 'ServiceManaged', 'AzureKeyVault'.

properties.subregion

string

Subregion of the server key.

properties.thumbprint

string

Thumbprint of the server key.

properties.uri

string

The URI of the server key. If the ServerKeyType is AzureKeyVault, then the URI is required. The AKV URI is required to be in this format: 'https://YourVaultName.vault.azure.net/keys/YourKeyName/YourKeyVersion' or can be 'https://YourVaultName.vault.azure.net/keys/YourKeyName'

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

ServerKeyListResult

The response of a ServerKey list operation.

Name Type Description
nextLink

string (uri)

The link to the next page of items

value

ServerKey[]

The ServerKey items on this page

ServerKeyType

The encryption protector type like 'ServiceManaged', 'AzureKeyVault'.

Value Description
ServiceManaged

ServiceManaged

AzureKeyVault

AzureKeyVault

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.